LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XEventTarget Interface Reference

`import"XEventTarget.idl";`

Inheritance diagram for XEventTarget:

## Public Member Functions
void | addEventListener ([in] string eventType, [in] XEventListener listener, [in] boolean useCapture)
void | removeEventListener ([in] string eventType, [in] XEventListener listener, [in] boolean useCapture)
boolean | dispatchEvent ([in] XEvent evt) raises (EventException)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ addEventListener()

void addEventListener | ( | [in] string | eventType,
|  | [in] XEventListener | listener,
|  | [in] boolean | useCapture
| ) |  |

## ◆ dispatchEvent()

boolean dispatchEvent | ( | [in] XEvent | evt | ) |
raises | ( | EventException
| ) |  |

## ◆ removeEventListener()

void removeEventListener | ( | [in] string | eventType,
|  | [in] XEventListener | listener,
|  | [in] boolean | useCapture
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/xml/dom/events/XEventTarget.idl